REMOVE(3P)

PROLOG
This manual page is part of the POSIX Programmer's Manual. The Linux implementation of this interface may differ (consult the corresponding Linux manual page for details of Linux behavior), or the interface may not be implemented on Linux.

NAME
remove - remove a file

SYNOPSIS

#include <stdio.h>

int remove(const char *path);

DESCRIPTION

The remove() function shall cause the file named by the pathname pointed to by path to be no longer accessible by that name. A subsequent attempt to open that file using that name shall fail, unless it is created anew.

If path does not name a directory, remove(path) shall be equivalent to unlink(path).

If path names a directory, remove(path) shall be equivalent to rmdir(path).

RETURN VALUE

Refer to rmdir() or unlink().

ERRORS

Refer to rmdir() or unlink().

The following sections are informative.

EXAMPLES

  Removing Access to a File

The following example shows how to remove access to a file named /home/cnd/old_mods.

    #include <stdio.h>

    int status;
    ...
    status = remove("/home/cnd/old_mods");

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

rmdir(), unlink(), the Base Definitions volume of IEEE Std 1003.1-2001, <stdio.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .